% DEMO Code for CBIQA
% Version 0.1,  11.2018, by Y. Chen, Y. Zhao @ HFUT
% -----------------------------------------------------------------------------
% You can run this m file, or type the following command in MATLAB:
% CBIQA(imread('./test.png'),0.5,0.3)
% (Note that the folder should be added to current path)
% -----------------------------------------------------------------------------
% Paper citation information:
% Y. Chen, Y. Zhao, S. Li, W. Zuo, W. Jia, X. Liu, "Blind Quality Assessment for Cartoon Images ," 
% IEEE Transactions on Circuits and Systems for Video Technology, Accept, 2019.
% -----------------------------------------------------------------------------
% Any questions, pls feel free to contact: yzhao@hfut.edu.cn

clear;clc;close all;

IMG=imread('./test.png');

alpha1=0.5;
alpha2=0.3;
scores=CBIQA(IMG,alpha1,alpha2);
% (0-1, 1 is the best) 
disp(['The quality score is ... ',num2str(scores)]);















